Tool
organization_public-keys_create
Creates a public key for a product.
Creates a public key for a product. The plaintext key is returned only in this response and cannot be retrieved again.
Behavior
- HTTP
POST /governance/api/v1/products/:productId/public-keys
Arguments
Name | Type | Required | Description |
|---|---|---|---|
name | string | • | No description in the catalog. |
scope | string | • | No description in the catalog. |
productId | string | • | No description in the catalog. |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
key | string | • | |
name | string | • | |
scope | string | • | |
imported | boolean | • | |
createdAt | string | • | |
createdBy | string | • | |
keyPrefix | string | • | |
revokedAt | string | • |
Try it
Creates a public key for a product.